org.codehaus.classworlds

## Class ClassRealmAdapter

- java.lang.Object
- - org.codehaus.classworlds.ClassRealmAdapter

All Implemented Interfaces:
  ClassRealm

Deprecated.

    @Deprecated
    public class ClassRealmAdapter
    extends Object
    implements ClassRealm

An adapter for ClassRealms

Author:
  Andrew Williams

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addConstituent(URL constituent)` Deprecated.
`ClassRealm` `createChildRealm(String id)` Deprecated.
`void` `display()` Deprecated.
`boolean` `equals(Object o)` Deprecated.
`Enumeration` `findResources(String name)` Deprecated.
`ClassLoader` `getClassLoader()` Deprecated.
`URL[]` `getConstituents()` Deprecated.
`String` `getId()` Deprecated.
`static ClassRealmAdapter` `getInstance(ClassRealm newRealm)` Deprecated.
`ClassRealm` `getParent()` Deprecated.
`ClassRealm` `getParentRealm()` Deprecated.
`URL` `getResource(String name)` Deprecated.
`InputStream` `getResourceAsStream(String name)` Deprecated.
`ClassWorld` `getWorld()` Deprecated.
`void` `importFrom(String realmId, String pkgName)` Deprecated.
`Class` `loadClass(String name)` Deprecated.
`ClassRealm` `locateSourceRealm(String className)` Deprecated.
`void` `setParent(ClassRealm classRealm)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassRealmAdapter getInstance(ClassRealm newRealm)

Deprecated.

#### getId

    public String getId()

Deprecated.

Specified by:
  `getId` in interface `ClassRealm`

#### getWorld

    public ClassWorld getWorld()

Deprecated.

Specified by:
  `getWorld` in interface `ClassRealm`

#### importFrom

    public void importFrom(String realmId,
                           String pkgName)
                    throws NoSuchRealmException

Deprecated.

Specified by:
  `importFrom` in interface `ClassRealm`
Throws:
  `NoSuchRealmException`

#### addConstituent

    public void addConstituent(URL constituent)

Deprecated.

Specified by:
  `addConstituent` in interface `ClassRealm`

#### locateSourceRealm

    public ClassRealm locateSourceRealm(String className)

Deprecated.

Specified by:
  `locateSourceRealm` in interface `ClassRealm`

#### setParent

    public void setParent(ClassRealm classRealm)

Deprecated.

Specified by:
  `setParent` in interface `ClassRealm`

#### createChildRealm

    public ClassRealm createChildRealm(String id)
                                throws DuplicateRealmException

Deprecated.

Specified by:
  `createChildRealm` in interface `ClassRealm`
Throws:
  `DuplicateRealmException`

#### getClassLoader

    public ClassLoader getClassLoader()

Deprecated.

Specified by:
  `getClassLoader` in interface `ClassRealm`

#### getParent

    public ClassRealm getParent()

Deprecated.

Specified by:
  `getParent` in interface `ClassRealm`

#### getParentRealm

    public ClassRealm getParentRealm()

Deprecated.

#### getConstituents

    public URL[] getConstituents()

Deprecated.

Specified by:
  `getConstituents` in interface `ClassRealm`

#### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

Deprecated.

Specified by:
  `loadClass` in interface `ClassRealm`
Throws:
  `ClassNotFoundException`

#### getResource

    public URL getResource(String name)

Deprecated.

Specified by:
  `getResource` in interface `ClassRealm`

#### findResources

    public Enumeration findResources(String name)
                              throws IOException

Deprecated.

Specified by:
  `findResources` in interface `ClassRealm`
Throws:
  `IOException`

#### getResourceAsStream

    public InputStream getResourceAsStream(String name)

Deprecated.

Specified by:
  `getResourceAsStream` in interface `ClassRealm`

#### display

    public void display()

Deprecated.

Specified by:
  `display` in interface `ClassRealm`

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `Object`